#ifndef csc_TrivialPhysics_h
#define csc_TrivialPhysics_h

/** 
 * Include the interface defining the physics initialization of G4.
 */   
#include "G4VUserPhysicsList.hh"
#include "globals.hh"


/**
 * A trivial physics list for this tutorial. 
 * It will define only electrons as the only particles available to the simulation,
 *  and no physics process at all,
 * except for the "tracking" process, an artificial process used by
 * the G4 kernel to track the particle undisturbed through your
 * simulation geometry.
 */
class TrivialPhysics : public G4VUserPhysicsList
{

public:
  TrivialPhysics();
  ~TrivialPhysics();

protected:

  /// Overloaded: declaration of particle types to be used in the simulation.
  void ConstructParticle();

  /// Overloaded: declaration of physics processes per particle type.
  void ConstructProcess();

  /// Overloaded: definition of cut ranges for particles.
  void SetCuts();

};
#endif
